Please support VectorLinux!

Author Topic: missing dependency for Firefox 3.6.7 [solved]  (Read 1019 times)

gizmo

  • Member
  • *
  • Posts: 21
missing dependency for Firefox 3.6.7 [solved]
« on: July 28, 2010, 05:36:14 pm »
new install of VL 6.0 gold

I have gone to Gslapt, selected update, then install all upgrades.

Firefox remains at version 3.0.6

In Gslapt again I try to install Firefox 3.6.7 (it's there in the list) but I get an error message:
"excluding Firefox due to dependency failure.  firefox: Depends: freetype >= 2.4.1-i586-1vl60

When I look at freetype in Gslapt, the latest version shown is 2.3.12 and that is installed.

I don't know what repository I am using, or how to change to other repositories.

Thanks
« Last Edit: July 29, 2010, 04:19:31 am by gizmo »

hata_ph

  • Packager
  • Vectorian
  • ****
  • Posts: 3261
  • -- Just being myself --
Re: missing dependency for Firefox 3.6.7
« Reply #1 on: July 28, 2010, 06:36:20 pm »
Did you enable the testing repo in your gslapt or slapt-get?

gizmo

  • Member
  • *
  • Posts: 21
Re: missing dependency for Firefox 3.6.7
« Reply #2 on: July 28, 2010, 06:54:00 pm »
no, I thought for a basic, low-understanding user like me that putting my toe in the testing repo was fraught with danger...?

Should I?

Deach

  • Vectorite
  • ***
  • Posts: 168
Re: missing dependency for Firefox 3.6.7
« Reply #3 on: July 28, 2010, 09:48:30 pm »
You can enable testing and just get the package you want.  I don't think I'd get "everything" from there.  Then "unable" testing and do normal updates. 
Inspiron 4000 Laptop, VL 6.0  600 mhz; 384 ram : Inspiron1100 VL 6.0
Inspiron B120 & B130 Laptop, VL 6.0  1. 4& 1.5  ghz; 1gig ram
IBM Thinkpad Laptop, VL 6.0  1.5 ghz;  1 gig ram

gizmo

  • Member
  • *
  • Posts: 21
Re: missing dependency for Firefox 3.6.7
« Reply #4 on: July 29, 2010, 04:18:55 am »
thanks, that did the trick.